import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class WebDockManagerPaneDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    readonly type: string;
    private static __marshalByValue;
    private static __marshalByValueAlias;
    constructor();
    private h;
    name: string;
}
